OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class AExprParensExpr

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PExpr
              org.opennms.netmgt.filter.node.AExprParensExpr

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class AExprParensExpr
extends PExpr

Field Summary
`private TLparen` `_lparen_`
`private TRparen` `_rparen_`
`private PRule` `_rule_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`AExprParensExpr()`
`AExprParensExpr(TLparen _lparen_, PRule _rule_, TRparen _rparen_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`TLparen` `getLparen()`
`TRparen` `getRparen()`
`PRule` `getRule()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setLparen(TLparen node)`
`void` `setRparen(TRparen node)`
`void` `setRule(PRule node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _lparen_

    private TLparen _lparen_

### _rule_

    private PRule _rule_

### _rparen_

    private TRparen _rparen_

Constructor Detail

### AExprParensExpr

    public AExprParensExpr()

### AExprParensExpr

    public AExprParensExpr(TLparen _lparen_,
                           PRule _rule_,
                           TRparen _rparen_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getLparen

    public TLparen getLparen()

### setLparen

    public void setLparen(TLparen node)

### getRule

    public PRule getRule()

### setRule

    public void setRule(PRule node)

### getRparen

    public TRparen getRparen()

### setRparen

    public void setRparen(TRparen node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.